curl -X POST https://sandbox.layerfi.com/v1/businesses \
-H "Authorization: Bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{
"external_id": "test-acme-id",
"legal_name": "ACME LLC",
"us_state": "CA",
"entity_type": "LLC",
"phone_number": "+18005555555",
"unit_ids": [{"unit_id": "111111"}],
"activation_at": "2023-06-15T22:12:05.467940Z"
}'
{
"data": {
"id": "863ed926-e30d-40f4-8e7e-b0d5387ce4fb",
"type": "Business",
"external_id": "test-acme-id",
"legal_name": "ACME LLC",
"business_activity_code": null,
"us_state": "CA",
"entity_type": "LLC",
"phone_number": "+16504651359",
"sms_enabled": true,
"sms_stopped": false,
"naics_code": null,
"imported_at": "2023-06-15T22:12:05.467940Z",
"updated_at": "2023-06-15T22:12:05.467940Z",
"archived_at": null,
"unit_accounts": [
{
"id": "111111",
"imported_at": "2023-06-15T22:12:05.467940Z"
}
]
},
"meta": {}
}
Create a Business
This endpoint registers a new business in Layer’s systems.
POST
/
v1
/
businesses
curl -X POST https://sandbox.layerfi.com/v1/businesses \
-H "Authorization: Bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{
"external_id": "test-acme-id",
"legal_name": "ACME LLC",
"us_state": "CA",
"entity_type": "LLC",
"phone_number": "+18005555555",
"unit_ids": [{"unit_id": "111111"}],
"activation_at": "2023-06-15T22:12:05.467940Z"
}'
{
"data": {
"id": "863ed926-e30d-40f4-8e7e-b0d5387ce4fb",
"type": "Business",
"external_id": "test-acme-id",
"legal_name": "ACME LLC",
"business_activity_code": null,
"us_state": "CA",
"entity_type": "LLC",
"phone_number": "+16504651359",
"sms_enabled": true,
"sms_stopped": false,
"naics_code": null,
"imported_at": "2023-06-15T22:12:05.467940Z",
"updated_at": "2023-06-15T22:12:05.467940Z",
"archived_at": null,
"unit_accounts": [
{
"id": "111111",
"imported_at": "2023-06-15T22:12:05.467940Z"
}
]
},
"meta": {}
}
Body
string
Unique ID of the business in your system for linking purposes.
string
required
Legal name of the business as it has been registered.
enum
required
Two letter state abbreviation. (
AK, AL, AR, etc.)enum
required
Entity type of the business. Used to determine tax filing status.
Values can be:
SOLE_PROP, C_CORP, LLC, S_CORP, PARTNERSHIPstring
Phone number used for SMS based categorization.
boolean
Enables SMS by default. Client SMS configuration must be enabled and business must also be configured with a phone number to enable SMS.
If set SMS is enabled, business will immediately receive onboarding SMS messages. Defaults to
false.string
6-digit NAICS code used to identify the business’s industry.
ISO8601 timestamp
Start date from which transactions will be classified, displayed, and available for reports. Defaults to current time, but can be specified to a past or future date.
array containing UnitAccount objects
List of unit accounts associated with this business.
Show properties
Show properties
string
The Unit account’s ID
array containing PlaidItem objects
array containing PlaidProcessorToken objects
List of plaid processor tokens to connect to this business.
Show properties
Show properties
string
processor_token returned by Plaid after generating from access_token.Response
Returns the created Business Objectcurl -X POST https://sandbox.layerfi.com/v1/businesses \
-H "Authorization: Bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{
"external_id": "test-acme-id",
"legal_name": "ACME LLC",
"us_state": "CA",
"entity_type": "LLC",
"phone_number": "+18005555555",
"unit_ids": [{"unit_id": "111111"}],
"activation_at": "2023-06-15T22:12:05.467940Z"
}'
{
"data": {
"id": "863ed926-e30d-40f4-8e7e-b0d5387ce4fb",
"type": "Business",
"external_id": "test-acme-id",
"legal_name": "ACME LLC",
"business_activity_code": null,
"us_state": "CA",
"entity_type": "LLC",
"phone_number": "+16504651359",
"sms_enabled": true,
"sms_stopped": false,
"naics_code": null,
"imported_at": "2023-06-15T22:12:05.467940Z",
"updated_at": "2023-06-15T22:12:05.467940Z",
"archived_at": null,
"unit_accounts": [
{
"id": "111111",
"imported_at": "2023-06-15T22:12:05.467940Z"
}
]
},
"meta": {}
}